Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Interface LobMergeStrategy

    public interface LobMergeStrategy

Strategy for how dialects need `LOB` values to be merged.

Method Summary
`Blob` | `mergeBlob(Blob original, Blob target, SessionImplementor session)` Perform merge on `Blob` values.
`Clob` | `mergeClob(Clob original, Clob target, SessionImplementor session)` Perform merge on `Clob` values.
`NClob` | `mergeNClob(NClob original, NClob target, SessionImplementor session)` Perform merge on `NClob` values.

Method Detail

### mergeBlob

    Blob mergeBlob(Blob original,
                   Blob target,
                   SessionImplementor session)

  Perform merge on `Blob` values.

  Parameters:
    `original` - The detached `BLOB` state
    `target` - The managed `BLOB` state
    `session` - The session
  Returns:
    The merged `BLOB` state

### mergeClob

    Clob mergeClob(Clob original,
                   Clob target,
                   SessionImplementor session)

  Perform merge on `Clob` values.

  Parameters:
    `original` - The detached `CLOB` state
    `target` - The managed `CLOB` state
    `session` - The session
  Returns:
    The merged `CLOB` state

### mergeNClob

    NClob mergeNClob(NClob original,
                     NClob target,
                     SessionImplementor session)

  Perform merge on `NClob` values.

  Parameters:
    `original` - The detached `NCLOB` state
    `target` - The managed `NCLOB` state
    `session` - The session
  Returns:
    The merged `NCLOB` state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.